Gantry::Template::Default(3)

NAME
Gantry::Template::Default - Default text plugin for Gantry.

SYNOPSIS
  use Gantry::Template::Default;

DESCRIPTION
Use this module when you don't want templating:

    use Gantry qw/ -Engine=YourChoice -TemplateEngine=Default /;

Then, your controller should return plain text ready for immediate handing to the browser.

METHODS

$site->do_action
    "do_action" is a required function for the template plugin. It purpose is to call or dispatch to the appropriate method. This function is passed three parameters:

    my( $self, $action, @path_array ) = @_;

    This method is responsible for calling the controller method and storing the output from the controller.

$site->do_error
    This method gives you the flexibility of logging, re-estabilishing a database connection, rebuilding the template object, etc.

$site->do_process
    This method is the final step in the template plugin. Here you need call the template object passing the controller data and return the output.

$site->template_engine
    Returns the name of the current template engine. (The one in this package always returns the package name.)

SEE ALSO
Gantry(3), Gantry::Template::TT

LIMITATIONS

AUTHOR
Tim Keefer <tkeefer@gmail.com>

COPYRIGHT and LICENSE
Copyright (c) 2005-6, Tim Keefer.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.